#!/bin/sh

#=======================	README		==============================
#	This script enables user to do ssh/scp without password , by using
#	public-key based mechanism .
#	The script needs the serever to be ssh/scp ied to as a command line
#	argument 
#	The script first finds out if the server entered is already configured
#	for public-key based ssh/scp by reading a known_hosts file
#	If the user does not have a public key , this script generates one for
#	the user
#	The script places user's public key into ./ssh/ dir of the server
#	And marks the srever as a known host if not already marked .
#==============================================================================

CUR_DIR=`pwd`
export SCRIPTS_DIR=${CUR_DIR%rtlinux-tests*}rtlinux-tests/scripts
source $SCRIPTS_DIR/setenv.sh
TESTS_DIR=${CUR_DIR%rtlinux-tests*}rtlinux-tests/
	
	if [ -z "$1" ]; then
		echo " Useage : ssh-keygen.sh server-name "
		exit 1
	else 
		server=$1
	fi
	
	exec 6<&0
	exec < $TESTS_DIR/scripts/known_hosts
	while read line
	do
		info=( `echo $line | cut -d" "  -f-`)
		if [[ "${info[1]}" == "$server" ]];then
			known_host=1
			uid=${info[0]}
		else
			known_host=0
		fi
	done
	exec 0<&6

	if [ -z $known_host ];then
		telnet $server 2>>$LOG_DIR/Error_Log
		echo "Enter your $server userid "
		read uid
		if [ ! -e "`find ~/.ssh/id_rsa`" ];then
			echo "*******************************************"
			echo "Creating rsa keys for ssh"
			echo "Press enter till prompted for password"
			echo "*******************************************"
			ssh-keygen -t rsa
		fi
		#echo " Please enter $uid's  password in $server "

		ssh -l $uid $server mkdir -p .ssh
		cat ~/.ssh/id_rsa.pub | ssh -l $uid $server 'cat >>\
 .ssh/authorized_keys'
		echo  " $uid $server" >> $TESTS_DIR/scripts/known_hosts
	fi

	echo $uid > uid	
